Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class UnnamedVar

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.Literal
              jason.asSyntax.Atom
                  jason.asSyntax.Structure
                      jason.asSyntax.Pred
                          jason.asSyntax.LiteralImpl
                              jason.asSyntax.VarTerm
                                  jason.asSyntax.UnnamedVar

All Implemented Interfaces:
  ListTerm, LogicalFormula, NumberTerm, ObjectTerm, PlanBody, StringTerm, Term, ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Term>, java.lang.Iterable<Term>, java.util.Collection<Term>, java.util.List<Term>

    public class UnnamedVar

extends VarTerm

Represents an unnamed variable '_'.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface jason.asSyntax.PlanBody
`PlanBody.BodyType`

Field Summary

Fields inherited from class jason.asSyntax.Structure
`emptyTermArray, emptyTermList`

Fields inherited from class jason.asSyntax.Literal
`LFalse, LNeg, LPos, LTrue, predicateIndicatorCache`

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`UnnamedVar()`
`UnnamedVar(int id)`
`UnnamedVar(java.lang.String name)`

Method Summary
`Term` | `clone()` make a deep copy of the terms
`int` | `compareTo(Term t)`
`static int` | `getUniqueId()`
`boolean` | `isUnnamedVar()`

Methods inherited from class jason.asSyntax.VarTerm
`add, add, add, add, addAll, addAll, addAnnot, addAnnots, addSource, addTerm, addTerms, append, apply, canBeAddedInBB, clear, clearAnnots, cloneLT, cloneLTShallow, clonePB, concat, contains, containsAll, countVars, delAnnot, delAnnots, delSource, delSources, difference, equals, get, getAnnots, getArity, getAsDOM, getAsList, getBodyNext, getBodyTerm, getBodyType, getFunctor, getLast, getLastBody, getNext, getObject, getPenultimate, getPlanSize, getPredicateIndicator, getSources, getString, getTail, getTerm, getTerm, getTerms, getTermsArray, getValue, hasAnnot, hasAnnot, hashCode, hasSource, hasSource, hasSubsetAnnot, hasSubsetAnnot, hasValue, hasVar, importAnnots, indexOf, insert, intersection, isArithExpr, isAtom, isBodyTerm, isEmpty, isEmptyBody, isEnd, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isTail, isVar, iterator, lastIndexOf, length, listIterator, listIterator, listTermIterator, logicalConsequence, makeVarsAnnon, negated, parseVar, remove, remove, removeAll, removeBody, removeLast, retainAll, reverse, set, setAnnots, setAsBodyTerm, setBodyNext, setBodyTerm, setBodyType, setNext, setTail, setTerm, setTerm, setTerms, setValue, size, solve, subList, subSets, toArray, toArray, toString, union`

Methods inherited from class jason.asSyntax.LiteralImpl
`calcHashCode, getErrorMsg, setNegated`

Methods inherited from class jason.asSyntax.Pred
`addAnnots, createSource, equalsAsStructure, getAnnots, parsePred, toStringAsTerm`

Methods inherited from class jason.asSyntax.Structure
`addTerms, delTerm, getSingletonVars, getTermsSize, hasTerm, makeTermsAnnon, makeVarsAnnon, parse, varToReplace`

Methods inherited from class jason.asSyntax.Literal
`copy, forceFullLiteralImpl, getAsListOfTerms, newFromListOfTerms, parseLiteral`

Methods inherited from class jason.asSyntax.DefaultTerm
`getSrcInfo, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jason.asSyntax.Term
`getSrcInfo, setSrcInfo`

Constructor Detail

### UnnamedVar

    public UnnamedVar()

### UnnamedVar

    public UnnamedVar(java.lang.String name)

### UnnamedVar

    public UnnamedVar(int id)

Method Detail

### getUniqueId

    public static int getUniqueId()

### clone

    public Term clone()

  Description copied from class: `Structure`
  make a deep copy of the terms

  Specified by:
    `clone` in interface `Term`
  Overrides:
    `clone` in class `VarTerm`

### compareTo

    public int compareTo(Term t)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Term>`
  Overrides:
    `compareTo` in class `VarTerm`

### isUnnamedVar

    public boolean isUnnamedVar()

  Specified by:
    `isUnnamedVar` in interface `Term`
  Overrides:
    `isUnnamedVar` in class `VarTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD